Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::MenuBar Class Reference

A GtkMenuBar C++ wrapper class. More...

`#include <inti/gtk/menubar.h>`

Inheritance diagram for Inti::Gtk::MenuBar:

List of all members.

## Public Member Functions

Constructors

- MenuBar ()
    Construct a new MenuBar.
- virtual ~MenuBar ()
    Destructor.

Accessors

- GtkMenuBar * gtk_menu_bar () const
    Get a pointer to the GtkMenuBar structure.
- GtkMenuBarClass * gtk_menu_bar_class () const
    Get a pointer to the GtkMenuBarClass structure.
- operator GtkMenuBar * () const
    Conversion operator; safely converts a MenuBar to a GtkMenuBar pointer.

## Protected Member Functions

Constructors

- MenuBar (GtkMenuBar *menu_bar, bool reference=false)
    Construct a new MenuBar from an existing GtkMenuBar.

## Detailed Description

A GtkMenuBar C++ wrapper class.

The MenuBar is a subclass of MenuShell which contains one or more MenuItem. The result is a standard menu bar which can hold many menu items. MenuBar allows for a shadow type to be set for aesthetic purposes.

## Constructor & Destructor Documentation

Inti::Gtk::MenuBar::MenuBar | ( | GtkMenuBar * | menu_bar,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new MenuBar from an existing GtkMenuBar. Parameters:
  menu_bar | A pointer to a GtkMenuBar.
  reference | Set false if the initial reference count is floating, set true if it's not.
The menu_bar can be a newly created GtkMenuBar or an existing GtkMenuBar (see G::Object::Object).

The documentation for this class was generated from the following file:

- menubar.h

Main Page - Footer